listoncall.h File Reference

Provides lists of expensive objects that are only created when required. More...

`#include "regina-core.h"`
`#include <boost/noncopyable.hpp>`
`#include <list>`

## Classes

class | regina::ListOnCall< T >
| Offers a hard-coded list of expensive objects that should only be created if they are required. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Provides lists of expensive objects that are only created when required.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).